> # NAME

> ColorMaterial - 3D API color material

> # USAGE

> ColorMaterial = int2(sides, mat)

> # VALID ENUMERANTS

> sides: Front, Back, FrontAndBack mat: Emission, Emissive, Ambient, Diffuse, Specular, AmbientAndDiffuse

> # DESCRIPTION

> Specify which material parameters track the current color. See the OpenGL glColorMaterial manual page for details. See the D3DRS_ALPHABLENDENABLE render state description for DirectX 9.

> The standard reset callback sets the ColorMaterial state to int2(FrontAndBack, AmbientAndDiffuse).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> OpenGL 1.0

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> DirectX 9

> # SEE ALSO

> AmbientMaterialSource, DiffuseMaterialSource, EmissiveMaterialSource, MaterialAmbient, MaterialDiffuse, MaterialEmission, MaterialEmissive, MaterialPower, MaterialShininess, MaterialSpecular, SpecularMaterialSource